CH_UDP_ALLOC(3)

EXPERIMENTAL_FUNC
ch_udp_alloc - Create a UDP socket and bind to a random port number.

SYNOPSIS
#include <karma_ch.h>

Channel ch_udp_alloc

(unsigned int *port_number, flag want_to_read)

DESCRIPTION
Create a UDP socket and bind to a random port number.

port_number
    The port number the socket was bound to.

port_number
    A pointer to the port number to bind to. If the port number is 0, a random port number is bound to, and this value is updated with that port number.

want_to_read
    If TRUE, a read buffer is created and the channel will be readable.

RETURN VALUE
The channel object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/